OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
bridge_map.cpp File Reference

Map accessor functions for bridges. More...

`#include "stdafx.h"`
`#include "landscape.h"`
`#include "tunnelbridge_map.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
static TileIndex | GetBridgeEnd (TileIndex tile, DiagDirection dir)
| Finds the end of a bridge in the specified direction starting at a middle tile.
TileIndex | GetNorthernBridgeEnd (TileIndex t)
| Finds the northern end of a bridge starting at a middle tile.
TileIndex | GetSouthernBridgeEnd (TileIndex t)
| Finds the southern end of a bridge starting at a middle tile.
TileIndex | GetOtherBridgeEnd (TileIndex tile)
| Starting at one bridge end finds the other bridge end.
int | GetBridgeHeight (TileIndex t)
| Get the height ('z') of a bridge.

## Detailed Description

Map accessor functions for bridges.

Definition in file bridge_map.cpp.

## Function Documentation

static TileIndex GetBridgeEnd | ( | TileIndex | tile,
|  | DiagDirection | dir
| ) |  |
| static

Finds the end of a bridge in the specified direction starting at a middle tile.

Parameters

  tile | the bridge tile to find the bridge ramp for
  dir | the direction to search in

Definition at line 24 of file bridge_map.cpp.

References GetTunnelBridgeDirection(), IsBridgeTile(), ReverseDiagDir(), and TileOffsByDiagDir().

Referenced by GetNorthernBridgeEnd(), GetOtherBridgeEnd(), and GetSouthernBridgeEnd().

int GetBridgeHeight | ( | TileIndex | t | ) |

Get the height ('z') of a bridge.

Parameters

  tile | the bridge ramp tile to get the bridge height from

Returns
  the height of the bridge.

Definition at line 72 of file bridge_map.cpp.

References ApplyFoundationToSlope(), DiagDirToAxis(), GetBridgeFoundation(), GetTileSlope(), and GetTunnelBridgeDirection().

Referenced by CmdBuildBridge(), CmdBuildObject(), CmdTerraformLand(), DoClearBridge(), DrawCatenaryRailway(), DrawRoadBits(), DrawTramCatenary(), GetBridgePixelHeight(), GetTerrainType(), and MarkBridgeDirty().

TileIndex GetNorthernBridgeEnd | ( | TileIndex | t | ) |

Finds the northern end of a bridge starting at a middle tile.

Parameters

  t | the bridge tile to find the bridge ramp for

Definition at line 41 of file bridge_map.cpp.

References AxisToDiagDir(), GetBridgeAxis(), GetBridgeEnd(), and ReverseDiagDir().

Referenced by AfterLoadGame(), CmdBuildBridge(), DrawBridgeMiddle(), DrawCatenaryRailway(), DrawRoadBits(), DrawTramCatenary(), and ViewportAddLandscape().

TileIndex GetOtherBridgeEnd | ( | TileIndex | tile | ) |

Starting at one bridge end finds the other bridge end.

Parameters

  t | the bridge ramp tile to find the other bridge ramp for

Definition at line 61 of file bridge_map.cpp.

References GetBridgeEnd(), GetTunnelBridgeDirection(), and IsBridgeTile().

Referenced by CmdBuildBridge(), DoClearBridge(), DrawCatenaryOnBridge(), FloodVehicles(), CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >::FollowTileExit(), GetOtherTunnelBridgeEnd(), and GetRailTrackBitsUniversal().

TileIndex GetSouthernBridgeEnd | ( | TileIndex | t | ) |

Finds the southern end of a bridge starting at a middle tile.

Parameters

  t | the bridge tile to find the bridge ramp for

Definition at line 51 of file bridge_map.cpp.

References AxisToDiagDir(), GetBridgeAxis(), and GetBridgeEnd().

Referenced by CmdBuildObject(), CmdTerraformLand(), DrawBridgeMiddle(), and DrawCatenaryOnBridge().